<?php

// Load the JS and CSS.
add_action( 'customize_controls_enqueue_scripts', function() {

	$version = wp_get_theme()->get( 'Version' );

	wp_enqueue_script(
		'expert-digital-agency-customize-section-button',
		get_theme_file_uri( 'assets/js/customize-controls.js' ),
		[ 'customize-controls' ],
		$version,
		true
	);
	wp_localize_script(
		'expert-digital-agency-customize-section-button',
		'Expert_Digital_Agency_Customizer_params',
		array(
			'ajaxurl' =>	admin_url( 'admin-ajax.php' )
		)
	);

	wp_enqueue_style(
		'expert-digital-agency-customize-section-button',
		get_theme_file_uri( 'assets/css/customize-controls.css' ),
		[ 'customize-controls' ],
 		$version
	);

} );

 /**
 * Enqueue scripts and styles.
 */
function expert_digital_agency_scripts() {
	// Styles	 

	wp_enqueue_style('all-min',get_template_directory_uri().'/assets/css/all.min.css');

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );
		
	wp_enqueue_style('font-awesome',get_template_directory_uri().'/assets/css/fonts/font-awesome/css/font-awesome.min.css');
	
	wp_enqueue_style('expert-digital-agency-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('expert-digital-agency-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('expert-digital-agency-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'expert-digital-agency-style', get_stylesheet_uri() );


	wp_enqueue_style('expert-digital-agency-style', get_stylesheet_uri(), array() );
		wp_style_add_data('expert-digital-agency-style', 'rtl', 'replace');
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('expert-digital-agency-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

    // Animations
    if ( get_theme_mod( 'expert_digital_agency_animation_enabled', true ) ) {
        wp_enqueue_script('wow-js', get_theme_file_uri('/assets/js/wow.js'), array('jquery'), null, true);
        wp_enqueue_style('animate-css', get_template_directory_uri() . '/assets/css/animate.css');
    }

	// inlin css
	$expert_digital_agency_inline_style = '';

	$expert_digital_agency_slider_setting = get_theme_mod( 'expert_digital_agency_slider_setting', true);
	if($expert_digital_agency_slider_setting == false) {
	    $expert_digital_agency_inline_style .= '.page-template-template-frontpage .mainhead{';
	    $expert_digital_agency_inline_style .= 'background-color: #9b46ec;';
	    $expert_digital_agency_inline_style .= '}';
	    $expert_digital_agency_inline_style .= '.page-template-template-frontpage .main-header{';
	    $expert_digital_agency_inline_style .= 'position:static;';
	    $expert_digital_agency_inline_style .= '}';
	    $expert_digital_agency_inline_style .= '.page-template-template-frontpage .location-text i{';
	    $expert_digital_agency_inline_style .= 'color: #fff;';
	    $expert_digital_agency_inline_style .= '}';
	}

	wp_add_inline_style( 'expert-digital-agency-style', $expert_digital_agency_inline_style );

	 // Define a unique handle for your inline stylesheet
	 $handle = 'expert-digital-agency-style';
    
	 // Get the generated custom CSS
	 $expert_digital_agency_custom_css = "";
 
	 $expert_digital_agency_blog_layouts = get_theme_mod('expert_digital_agency_blog_layout_option_setting', 'Default');
	 if ($expert_digital_agency_blog_layouts == 'Default') {
		 $expert_digital_agency_custom_css .= '.blog-item{';
		 $expert_digital_agency_custom_css .= 'text-align:center;';
		 $expert_digital_agency_custom_css .= '}';
	 } elseif ($expert_digital_agency_blog_layouts == 'Left') {
		 $expert_digital_agency_custom_css .= '.blog-item{';
		 $expert_digital_agency_custom_css .= 'text-align:Left;';
		 $expert_digital_agency_custom_css .= '}';
	 } elseif ($expert_digital_agency_blog_layouts == 'Right') {
		 $expert_digital_agency_custom_css .= '.blog-item{';
		 $expert_digital_agency_custom_css .= 'text-align:Right;';
		 $expert_digital_agency_custom_css .= '}';
	 }
 
	 // Enqueue the inline stylesheet
	 wp_add_inline_style($handle, $expert_digital_agency_custom_css);
 

	// Add inline style for Scroll to Top
    $expert_digital_agency_scroll_top_bg_color = get_theme_mod('expert_digital_agency_scroll_top_bg_color', '#9b46ec');
    $expert_digital_agency_scroll_top_color = get_theme_mod('expert_digital_agency_scroll_top_color', '#fff');

	// Use global if still default
    if ( $expert_digital_agency_scroll_top_bg_color === '#9b46ec' ) {
        $expert_digital_agency_scroll_top_bg_color = get_theme_mod('expert_digital_agency_dynamic_color_one');
    }

    $expert_digital_agency_scroll_custom_css = "
        #scrolltop {
            background-color: {$expert_digital_agency_scroll_top_bg_color};
        }
        #scrolltop span {
            color: {$expert_digital_agency_scroll_top_color};
        }
    ";
    wp_add_inline_style('expert-digital-agency-style', $expert_digital_agency_scroll_custom_css);

    // Add inline style for Preloader
    $expert_digital_agency_preloader_bg_color = get_theme_mod('expert_digital_agency_preloader_bg_color', '#ffffff');
    $expert_digital_agency_preloader_color = get_theme_mod('expert_digital_agency_preloader_color', '#9b46ec');

	// Use global if still default
    if ( $expert_digital_agency_preloader_color === '#9b46ec' ) {
        $expert_digital_agency_preloader_color = get_theme_mod('expert_digital_agency_dynamic_color_one');
    }
	
    $expert_digital_agency_preloader_custom_css = "
        .loading {
            background-color: {$expert_digital_agency_preloader_bg_color};
        }
        .loader {
            border-color: {$expert_digital_agency_preloader_color};
            color: {$expert_digital_agency_preloader_color};
            text-shadow: 0 0 10px {$expert_digital_agency_preloader_color};
        }
        .loader::before {
            border-top-color: {$expert_digital_agency_preloader_color};
            border-right-color: {$expert_digital_agency_preloader_color};
        }
        .loader span::before {
            background: {$expert_digital_agency_preloader_color};
            box-shadow: 0 0 10px {$expert_digital_agency_preloader_color};
        }
    ";
    wp_add_inline_style('expert-digital-agency-style', $expert_digital_agency_preloader_custom_css);
}
add_action( 'wp_enqueue_scripts', 'expert_digital_agency_scripts' );